const assert = require('assert');
const KEGG = require('../');

describe("KEGG Reactions", function() {
	it("gets reaction by id", function(done) {
		this.timeout(3000);
		KEGG.getReactionById("R04573", function(e) {
			//console.log(e);
			done();
		});
	});

	it("decomposes a reaction", function() {
		let r = KEGG.decomposeReaction("C06033 + C00008 <=> 2 C00022 + C00009");
		assert.equal(r.substrates["C06033"], 1);
		assert.equal(r.substrates["C00008"], 1);
		assert.equal(r.products["C00022"], 2);
		assert.equal(r.products["C00009"], 1);
		assert.ok(r.reversable);
	});
});

